<template>
  <div id="app" style="background-color:#0e2e87" v-if="$route.meta.bigScreen">
    <router-view />
  </div>
  <div id="app" v-else>
    <router-view />
    <theme-picker />
  </div>
</template>

<script>
import ThemePicker from "@/components/ThemePicker";

export default {
  name: "App",
  components: { ThemePicker },
  metaInfo() {
    return {
      title: this.$store.state.settings.dynamicTitle && this.$store.state.settings.title,
      titleTemplate: title => {
        return title ? `${title} - ${process.env.VUE_APP_TITLE}` : process.env.VUE_APP_TITLE
      }
    }
  },
  data() {
    return {

    }
  },
  mounted() {
    this.createSocket();
    setTimeout(() => {
      this.$store.state.mapLayers.msgList.push({
        msg: "变压器故障",
        point: "POINT (112.56978672907 37.8558881392881)"
      })

    }, 10000);
  },
  methods: {
    createSocket() {
      this.wsSocket = new WebSocket(config.pySocket);
      this.wsSocket.onopen = (event) => {
        console.log('WebSocket连接成功');
      };
      this.wsSocket.onmessage = (event) => {
        // console.log('Received message:', event.data);

        if (event.data != "连接成功") {
          const obj = JSON.parse(event.data)


          this.leftChartData = {
            type: 'left1',
            val: obj
          }
        }
      };
    }
  }
};
</script>
<style scoped>
#app .theme-picker {
  display: none;
}
</style>
